> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Enroll contact

> Enroll a contact (email) into workflowId.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v2/create-manage-workflows-v2.json POST /automation/v2/workflows/{workflowId}/enrollments/contacts/{email}
openapi: 3.0.0
info:
  title: Workflows API v2
  version: 1.0.0
  description: Legacy Workflows API v2 generated from MDX—manage enrollments for contacts.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v2/workflows/{workflowId}/enrollments/contacts/{email}:
    post:
      summary: Enroll contact
      description: Enroll a contact (email) into workflowId.
      operationId: enrollContact
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: integer
        - name: email
          in: path
          required: true
          schema:
            type: string
            format: email
      responses:
        '204':
          description: Contact enrolled successfully (no body)
        default:
          $ref: '#/components/responses/Error'
components:
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string

````